JdbcConnectorException (Apache Geode 1.6.0)
Date: 2018-04-23

org.apache.geode.connectors.jdbc

## Class JdbcConnectorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.connectors.jdbc.JdbcConnectorException

- All Implemented Interfaces:
    java.io.Serializable

      public class JdbcConnectorException
      extends CacheRuntimeException

  An exception thrown when communication with an external JDBC data source fails and can be used to diagnose the cause of database communication failures. In cases where the cause of this exception is not safe to serialize to clients, the stack trace is included in the message of the exception and the cause is left empty.
  Since:
    Geode 1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcConnectorException(java.lang.String message)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JdbcConnectorException` | `createException(java.lang.Exception e)` Create a new JdbcConnectorException by first checking to see if the causing exception is or contains an exception that potentially could not be deserialized by remote systems receiving the serialized exception.
    `static JdbcConnectorException` | `createException(java.lang.String message, java.lang.Exception e)` Create a new JdbcConnectorException by first checking to see if the causing exception is or contains an exception that potentially could not be deserialized by remote systems receiving the serialized exception.

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JdbcConnectorException

          public JdbcConnectorException(java.lang.String message)

  - ### Method Detail

    - #### createException

          public static JdbcConnectorException createException(java.lang.Exception e)

      Create a new JdbcConnectorException by first checking to see if the causing exception is or contains an exception that potentially could not be deserialized by remote systems receiving the serialized exception.
      Parameters:
        `e` - cause of this Exception
      Returns:
        a new JdbcConnectorException containing either the causing exception, if it can be serialized/deserialized by Geode, or containing the causing exception stack trace in its message if not

    - #### createException

          public static JdbcConnectorException createException(java.lang.String message,
                                                               java.lang.Exception e)

      Create a new JdbcConnectorException by first checking to see if the causing exception is or contains an exception that potentially could not be deserialized by remote systems receiving the serialized exception.
      Parameters:
        `message` - message of this Exception
        `e` - cause of this Exception
      Returns:
        a new JdbcConnectorException containing either the causing exception, if it can be serialized/deserialized by Geode, or containing the causing exception stack trace in its message if not